Package ch.qos.logback.core.net

# Class ObjectWriterFactory

java.lang.Object
ch.qos.logback.core.net.ObjectWriterFactory

public class ObjectWriterFactory extends Object
Factory for `ObjectWriter` instances.

Author:
  Sebastian Gröbler

## Constructor Summary

Constructors
Constructor
Description
`ObjectWriterFactory()`

## Method Summary

Modifier and Type
Method
Description
`AutoFlushingObjectWriter`
`newAutoFlushingObjectWriter(OutputStream outputStream)`
Creates a new `AutoFlushingObjectWriter` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectWriterFactory

public ObjectWriterFactory()

## Method Details

### newAutoFlushingObjectWriter

public AutoFlushingObjectWriter newAutoFlushingObjectWriter(OutputStream outputStream) throws IOException
Creates a new `AutoFlushingObjectWriter` instance.

Parameters:
  `outputStream` - the underlying `OutputStream` to write to
Returns:
  a new `AutoFlushingObjectWriter` instance
Throws:
  `IOException` - if an I/O error occurs while writing stream header